void ButtonAction () {
  
  if (ScanMode == 0){ButtonAct = 1;} //Left  = 1
  else if (ScanMode == 1){ButtonAct = 2;} //Enter  = 2
  else if (ScanMode == 2){ButtonAct = 3;} //Up  = 3
  else if (ScanMode == 3){ButtonAct = 4;} //Down  = 4
  else if (ScanMode == 5){ButtonAct = 5;} //X  = 5
  else if (ScanMode == 6){ButtonAct = 6;} //Right  = 6
  else if (ScanMode == 7){ButtonAct = 7;} //Back  = 7
}
